VERSION 5.00
Begin VB.Form frmMain 
   AutoRedraw      =   -1  'True
   ClientHeight    =   4305
   ClientLeft      =   60
   ClientTop       =   60
   ClientWidth     =   7005
   ControlBox      =   0   'False
   MaxButton       =   0   'False
   OLEDropMode     =   1  'Manual
   ScaleHeight     =   4305
   ScaleWidth      =   7005
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   375
      Left            =   5520
      TabIndex        =   10
      Top             =   1320
      Width           =   1335
   End
   Begin VB.CommandButton cmdFont 
      Caption         =   "&Font..."
      Height          =   375
      Left            =   5520
      TabIndex        =   9
      Top             =   840
      Width           =   1335
   End
   Begin VB.ListBox lstTBBackColor 
      Height          =   3180
      Left            =   2760
      TabIndex        =   8
      Top             =   840
      Width           =   2415
   End
   Begin VB.ListBox lstTBColor 
      Height          =   1815
      Left            =   240
      TabIndex        =   6
      Top             =   2280
      Width           =   2175
   End
   Begin VB.ListBox lstTBPosition 
      Height          =   1035
      Left            =   240
      TabIndex        =   4
      Top             =   840
      Width           =   2175
   End
   Begin VB.PictureBox picTitle 
      BackColor       =   &H80000002&
      BorderStyle     =   0  'None
      FillColor       =   &H80000002&
      Height          =   255
      Left            =   0
      ScaleHeight     =   255
      ScaleWidth      =   6975
      TabIndex        =   1
      Top             =   0
      Width           =   6975
      Begin VB.CommandButton cmdXExit 
         DisabledPicture =   "frmMain.frx":0000
         DownPicture     =   "frmMain.frx":01AA
         Height          =   215
         Left            =   6700
         MaskColor       =   &H8000000F&
         Picture         =   "frmMain.frx":0354
         Style           =   1  'Graphical
         TabIndex        =   0
         TabStop         =   0   'False
         Top             =   45
         Width           =   255
      End
      Begin VB.Label lblTitle 
         Alignment       =   2  'Center
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "Title Bar"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H80000009&
         Height          =   195
         Left            =   30
         TabIndex        =   2
         Top             =   30
         Width           =   735
      End
   End
   Begin VB.Label lblTBBackColor 
      AutoSize        =   -1  'True
      Caption         =   "Title Bar Text Color:"
      Height          =   195
      Left            =   2760
      TabIndex        =   7
      Top             =   600
      Width           =   1395
   End
   Begin VB.Label lblTBColor 
      AutoSize        =   -1  'True
      Caption         =   "Title Bar Back Color:"
      Height          =   195
      Left            =   240
      TabIndex        =   5
      Top             =   2040
      Width           =   1455
   End
   Begin VB.Label lblTBPosition 
      Caption         =   "Title Bar Text Position"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   600
      Width           =   1575
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Const intLeft = 0
Const intCenter = 2
Const intRight = 1

Private Sub cmdExit_Click()
    Unload Me
End Sub

Private Sub cmdFont_Click()
    MousePointer = vbHourglass
    frmFont.Show vbModeless
    MousePointer = vbDefault
End Sub

Private Sub cmdXExit_Click()
    Unload frmFont
    Unload Me
End Sub

Private Sub Form_Activate()
    picTitle.BackColor = vbActiveTitleBar
End Sub

Private Sub Form_Deactivate()
    picTitle.BackColor = vbInactiveTitleBar
End Sub

Private Sub Form_Load()
    CenterForm Me

    With lstTBPosition
        .AddItem "Left"
        .AddItem "Center"
        .AddItem "Right"
        .Selected(1) = True
    End With
    
    With lstTBColor
        .AddItem "Default"
        .AddItem "Black"
        .AddItem "Red"
        .AddItem "Green"
        .AddItem "Yellow"
        .AddItem "Blue"
        .AddItem "Magenta"
        .AddItem "Cyan"
        .AddItem "White"
        .Selected(0) = True
    End With
    
    With lstTBBackColor
        .AddItem "Default"
        .AddItem "Black"
        .AddItem "Red"
        .AddItem "Green"
        .AddItem "Yellow"
        .AddItem "Blue"
        .AddItem "Magenta"
        .AddItem "Cyan"
        .AddItem "White"
        .Selected(0) = True
    End With
    
    Form_Resize
End Sub

Private Sub Form_Resize()
    On Error Resume Next
    picTitle.Width = Me.Width
    lblTitle.Width = Me.Width - 500
    picTitle.Left = 0
    lblTitle.Left = 0
    cmdXExit.Left = Me.Width - 385
    
    If Me.Width <= 2000 Then
        lblTitle.Caption = "Title Bar Ex..."
    ElseIf Me.Width >= 2000 Then
        lblTitle.Caption = "Title Bar Example"
    End If
    
    If Me.Width <= 1500 Then
        lblTitle.Caption = "Title B..."
    End If
End Sub

Private Sub lblTitle_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
   Dim lngReturnValue As Long
   If Button = 1 Then
      Call ReleaseCapture
      lngReturnValue = SendMessage(frmMain.hWnd, WM_NCLBUTTONDOWN, HTCAPTION, 0&)
   End If
End Sub

Private Sub lstTBBackColor_Click()
    With lblTitle
        Select Case lstTBBackColor.Text
            Case "Default"
                .ForeColor = vbTitleBarText
            Case "Black"
                .ForeColor = vbBlack
            Case "Red"
                .ForeColor = vbRed
            Case "Green"
                .ForeColor = vbGreen
            Case "Yellow"
                .ForeColor = vbYellow
            Case "Blue"
                .ForeColor = vbBlue
            Case "Magenta"
                .ForeColor = vbMagenta
            Case "Cyan"
                .ForeColor = vbCyan
            Case "White"
                .ForeColor = vbWhite
        End Select
    End With
End Sub

Private Sub lstTBColor_Click()
    With picTitle
        Select Case lstTBColor.Text
            Case "Default"
                .BackColor = vbActiveTitleBar
            Case "Black"
                .BackColor = vbBlack
            Case "Red"
                .BackColor = vbRed
            Case "Green"
                .BackColor = vbGreen
            Case "Yellow"
                .BackColor = vbYellow
            Case "Blue"
                .BackColor = vbBlue
            Case "Magenta"
                .BackColor = vbMagenta
            Case "Cyan"
                .BackColor = vbCyan
            Case "White"
                .BackColor = vbWhite
        End Select
    End With
End Sub

Private Sub lstTBPosition_Click()
    With lblTitle
        Select Case lstTBPosition.Text
            Case "Left"
                .Alignment = intLeft
            Case "Center"
                .Alignment = intCenter
            Case "Right"
                .Alignment = intRight
        End Select
    End With
End Sub

Private Sub picTitle_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
   Dim lngReturnValue As Long
   If Button = 1 Then
      Call ReleaseCapture
      lngReturnValue = SendMessage(frmMain.hWnd, WM_NCLBUTTONDOWN, HTCAPTION, 0&)
   End If
End Sub
